---
- name: Prepare
  hosts: all
  tasks:
    - name: Update apt-cache if on debian-based system
      become: true
      apt:
        update_cache: true
        cache_valid_time: 0 # Added repo depends on subsequent cache update
      when: ansible_facts['os_family'] == "Debian"
      async: 360
      poll: 0

    # so that checkinstall is available
    - name: Add backports if Debian 10
      become: true
      ansible.builtin.apt_repository:
        repo: deb http://deb.debian.org/debian buster-backports main
        state: present
      when: ansible_distribution == 'Debian' and
            ansible_distribution_major_version == '10'

    - name: Update apt-cache if Debian 10
      become: true
      apt:
        update_cache: true
        cache_valid_time: 0
      when: ansible_distribution == 'Debian' and
            ansible_distribution_major_version == '10'

- name: Prepare
  hosts: all
  environment:
    http_proxy: "{{ lookup('env', 'http_proxy') }}"
  tasks:
    # Prevent SSL certificate verification failure on tarball downloads
    - name: Update system packages if CentOS
      become: true
      yum:
        name: "*"
        state: latest
      when: ansible_facts['os_family'] == "RedHat"

    - name: Ensure gpg is available
      become: true
      package:
        name: gpg
        state: present

    - name: Ensure git is available
      become: true
      package:
        name: git
        state: present
